#ifndef CGAME_H
#define CGAME_H

#include <QImage>
#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"
#include "character.h"
#include "mouse.h"

#define SCREEN_WIDTH    320
#define SCREEN_HEIGHT   200
#define MAINVIEW_WIDTH  224
#define MAINVIEW_HEIGHT 136

#define ORNATE_MIRROR   6

//---------------------------------------------------------------------------------------------
class CGame
{
public:
    CGame();

    QImage  mainLoop();

    CCharacter  characters[4];
    CWall*      lastMirrorClicked;

private:
    void    drawWall(QImage* image, CTile* tile, CVec2 tablePos, EWallSide side, bool flip);
    void    displayMainView(QImage* image);
    void    update(SMouseArea* clickedArea);
};

extern CGame    game;

#endif // CGAME_H
